﻿
#1.文字コードなどの定義
use strict;
use warnings;
use utf8;
use Encode qw/encode decode/;

#2.読み込みと書出し用のファイルを開く
my $file1 = 'honbunin.txt';
open my $fh1, '<', $file1
  or die "Can't open $file1:$!";
  
my $file2 = 'honbunout01.txt';
open my $fh2, '>>', $file2
  or die "Can't open $file2:$!";

#3.行単位でファイルの内容を読み込んで「@hairetu」という配列変数に格納する
my @honbun;
my $line ="";

while ($line = <$fh1>) {
	#3.1.ユニコード関係の設定
	$line =decode('utf8', $line);
	$line =~ s/[\?\r\n\f]//g;
	$line =~ s/^\x{FEFF}//;
	#3.2.書式を整える
	$line =~ s/"//;
	#3.3.新しい行を配列に追加
	@honbun =(@honbun,$line);
}

#4.「@kanji」という配列変数から行単位で文字列を読み取り、ファイルに出力する。
for (my $i = 0; $i < @honbun; $i++){
	#4.1.ユニコード関係の設定
	$line =encode('utf8', $honbun[$i]);
	#4.2.出力
	print $fh2 ($line."\n");
}
my $number = @honbun;
print (encode('cp932',"outputted $number lines"));
#5.ファイルを閉じる
close $fh1;
close $fh2;