﻿my $infos = {};#無名ハッシュの定義

#無名ハッシュのキーとして使用予定の文字列をスカラ変数に格納しておく
my $kagi1 ='01:01';
my $kagi2 ='01:02';
my $kagi3 ='01:03';

#無名ハッシュの値として使用予定の文字列配列を配列変数に格納しておく
my @hairetu1 = [3, 2.1, 4.6];
my @hairetu2 = [5, 4.1, 7.4];
my @hairetu3 = [6, 3.5, 5.7];

#無名ハッシュに二つの配列を格納してみる
$infos = {
  $kagi1 => @hairetu1,
  $kagi2 => @hairetu2
};

#無名ハッシュに新たに配列を追加する
$infos = {%$infos,$kagi3 => @hairetu3};

#無名配列の中身を参照する
for my $time (sort keys %$infos) {#「%$infos」は参照指示からハッシュをデリファレンス/逆参照する
  print "$time\n";#キーの出力
  for my $column (@{$infos->{$time}}) {#「@{$infos->{$time}}」は$timeに代入されたキーを参照して対応する配列を復元してくれる。forループは、配列の各要素を$columnに代入して出力する。
    print "$column\n";
  }
}