﻿
#1.文字コードなどの定義
use strict;
use warnings;
use utf8;
use Encode qw/encode decode/;

#2.読み込みと書出し用のファイルを開く
my $file1 = 'honbunin.txt';
open my $fh1, '<', $file1
  or die "Can't open $file1:$!";
  
my $file2 = 'honbunout05.txt';
open my $fh2, '>>', $file2
  or die "Can't open $file2:$!";

my $logfile = 'log.txt';
open my $lh, '>>', $logfile
  or die "Can't open $logfile:$!";


#3.行単位でファイルの内容を読み込んで「@hairetu」という配列変数に格納する
my @honbun;
my $line ="";
my $gyo = "";
my $hon1 = "<p>";
my $hon2 = "</p>";
my $hon3 = "</p>\n<p>";
my $hon4 = "<p>　</p>";
my $kansu = -1;
my $zuhanmae = "<a href=\"Goichi-zuhan/";
my $zuhannaka = ".jpg\" target=\"_blank\">";
my $zuhanusiro = "</a>";
my $shakudokumae = "<a href=\"Goichi-shakudoku/";
my $shakudokuusiro = ".html\" target=\"_blank\">釈読情報</a>";
my $yomimae = "<a href=\"Goichi-yomikudashi/";
my $yomiusiro = ".html\" target=\"_blank\">読み下し文</a>";
my $horyomae = "<a href=\"Goichi-horyoichiran.html#";
my $horyousiro = "\" target=\"_blank\">法量等</a>";
my $space = "　　";
my $idmae = " id=\"";
my $idusiro = "\"";
my %honbun;
my @bango;

while ($line = <$fh1>) {
	#3.1.ユニコード関係の設定
	$line =decode('utf8', $line);
	$line =~ s/[\?\r\n\f]//g;
	$line =~ s/^\x{FEFF}//;
	$line =~ s/"//;
	$line =~ s/([^\dsk])\s+$/$1/;
	
	#3.2.本文行を整えつつ配列に新しい行を追加
	if ($line =~ s/^([\dsk\+\-]+)(\t)([^\t]*)/$3$2$1/){
		$kansu++;
		$gyo = $hon1.$line.$hon2;
		@honbun = (@honbun,$gyo);
	}
	else {
		$line =~ s/^\t//;
		$honbun[$kansu] =~ s/(\t[\dsk\+\-]+)/$hon3$line$1/;
	}
}

#4.「@honbun」という配列変数から行単位で文字列を読み取り、ファイルに出力する。
for (my $i = 0; $i < @honbun; $i++){
	#4.0正背を示す「a/b」を検出して、正背を簡番号に置き換える。
	if ($honbun[$i] =~ s/^(<p)([^a]+)(a)([^b]+)(b)(\t)([\dsk\+\-]+)(<\/p>)$/$1$idmae$7$idusiro$2$6$zuhanmae$7$3$zuhannaka$7$3$zuhanusiro$4$6$zuhanmae$7$5$zuhannaka$7$5$zuhanusiro$8\n$hon1$space$horyomae$7$horyousiro$space$shakudokumae$7$shakudokuusiro$space$yomimae$7$yomiusiro$hon2\n$hon4/){
		$honbun{$7} = $honbun[$i];
		@bango = (@bango,$7);
#		print $fh2 (encode('utf8', $honbun[$i]."\n"));
	}
	elsif ($honbun[$i] =~ s/(<p)([^\t]+)(\t)([\dsk\+\-]+)(<\/p>)$/$1$idmae$4$idusiro$2$3$zuhanmae$4$zuhannaka$4$zuhanusiro$5\n$hon1$space$horyomae$4$horyousiro$space$shakudokumae$4$shakudokuusiro$space$yomimae$4$yomiusiro$hon2\n$hon4/){
		$honbun{$4} = $honbun[$i];
		@bango = (@bango,$4);
#		print $fh2 (encode('utf8', $honbun[$i]."\n"));
	}
	else {
		print $lh (encode('utf8', $honbun[$i]."\n"));
	}
	#4.1.ユニコード関係の設定
	#$line =encode('utf8', $honbun[$i]);
	#4.2.出力
	#print $fh2 ($line."\n");
}
#4.3.ハッシュ変数の出力
for (my $i = 0; $i < @bango; $i++){
	print $fh2 (encode('utf8', $honbun{$bango[$i]}."\n"));
}

#5.ファイルを閉じる
close $fh1;
close $fh2;
close $lh;