﻿
#1.文字コードなどの定義
use strict;
use warnings;
use utf8;
use Encode qw/encode decode/;

#2.読み込みと書出し用のファイルを開く
#2.1.読み込み用ファイル（ファイル名は「in.txt」、全ての関連変数に序数「1」を付ける。「in.txt」というファイルを事前に用意する必要あり）
my $file1 = 'Liya-shakumon.html';
open my $fh1, '<', $file1
  or die "Can't open $file1:$!";
  
#2.2.書出し用ファイル（ファイル名は「out.txt」、全ての関連変数に序数「2」を付ける。「out.txt」は用意する必要がない。既に存在すれば、その末尾から追記することとなるから、事前に既存のファイルを削除する必要が生じる場合もある）
my $file2 = 'out.txt';
open my $fh2, '<', $file2
  or die "Can't open $file2:$!";

#2.3.検証結果を書き出すファイルを開く
my $logfile = 'log.txt';
open my $lh, '>', $logfile
  or die "Can't open $logfile:$!";


#3.検証
#3.0目次を読み込む
my $line = "";
my %anchorshin;

while ($line = <$fh2>) {
	$line =decode('utf8', $line);
	$line =~ s/\?//g;
	$line =~ s/\r//g;
	$line =~ s/\n//g;
	$line =~ s/^[\t\s]+//;
	$line =~ /^([^\t]+)\t([^\t]+)\t([^\t]+)$/;
	my $jiu = $2;
	$anchorshin{$jiu} = $1;
}
close $fh2;

#3.1.釈文ファイルを読み込む
for my $anchor (sort keys %anchorshin) {
  print $lh (encode('utf8',"旧アンカー：".$anchor."\t新アンカー：". $anchorshin{$anchor}."\n"));
}
close $lh;
#while ($line = <$fh1>) {
#	$line =decode('utf8', $line);
#	$line =~ s/\?//g;
#	$line =~ s/\r//g;
#	$line =~ s/\n//g;
#	if ($line =~ /^<li>/){
#		$line =~ s/(\#)([^\"]+)(\")/$1$anchorshin{$2}$3/;
#	}
#	elsif ($line =~ /^<h2/){
#		$line =~ s/(id\=\")([^\"]+)(\")/$1$anchorshin{$2}$3/;
#	}
#	print $fh3 (encode('utf8',$line."\n"));
#}
close $fh1;
